
void _efl_canvas_gesture_recognizer_long_press_efl_object_destructor(Eo *obj, Efl_Canvas_Gesture_Recognizer_Long_Press_Data *pd);


const Efl_Class *_efl_canvas_gesture_recognizer_long_press_efl_canvas_gesture_recognizer_type_get(const Eo *obj, Efl_Canvas_Gesture_Recognizer_Long_Press_Data *pd);


Efl_Canvas_Gesture_Recognizer_Result _efl_canvas_gesture_recognizer_long_press_efl_canvas_gesture_recognizer_recognize(Eo *obj, Efl_Canvas_Gesture_Recognizer_Long_Press_Data *pd, Efl_Canvas_Gesture *gesture, Efl_Object *watched, Efl_Canvas_Gesture_Touch *event);


static Eina_Bool
_efl_canvas_gesture_recognizer_long_press_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_GESTURE_RECOGNIZER_LONG_PRESS_EXTRA_OPS
#define EFL_CANVAS_GESTURE_RECOGNIZER_LONG_PRESS_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_gesture_recognizer_long_press_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_gesture_recognizer_type_get, _efl_canvas_gesture_recognizer_long_press_efl_canvas_gesture_recognizer_type_get),
      EFL_OBJECT_OP_FUNC(efl_gesture_recognizer_recognize, _efl_canvas_gesture_recognizer_long_press_efl_canvas_gesture_recognizer_recognize),
      EFL_CANVAS_GESTURE_RECOGNIZER_LONG_PRESS_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_gesture_recognizer_long_press_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Gesture_Recognizer_Long_Press",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Gesture_Recognizer_Long_Press_Data),
   _efl_canvas_gesture_recognizer_long_press_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_gesture_recognizer_long_press_class_get, &_efl_canvas_gesture_recognizer_long_press_class_desc, EFL_CANVAS_GESTURE_RECOGNIZER_CLASS, NULL);
